Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api.extensions.digitalasset
Enum DigitalAssetChooserRenderingContext.ResourceType

    java.lang.Object
      java.lang.Enum<DigitalAssetChooserRenderingContext.ResourceType>
          com.ibm.workplace.wcm.api.extensions.digitalasset.DigitalAssetChooserRenderingContext.ResourceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DigitalAssetChooserRenderingContext.ResourceType>

Enclosing interface:
  DigitalAssetChooserRenderingContext

    public static enum DigitalAssetChooserRenderingContext.ResourceType

extends java.lang.Enum<DigitalAssetChooserRenderingContext.ResourceType>

Resource type

Enum Constant Summary
`File` file type
`Image` image type

Method Summary
`static DigitalAssetChooserRenderingContext.ResourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DigitalAssetChooserRenderingContext.ResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### File

    public static final DigitalAssetChooserRenderingContext.ResourceType File

  file type

### Image

    public static final DigitalAssetChooserRenderingContext.ResourceType Image

  image type

Method Detail

### values

    public static DigitalAssetChooserRenderingContext.ResourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DigitalAssetChooserRenderingContext.ResourceType c : DigitalAssetChooserRenderingContext.ResourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DigitalAssetChooserRenderingContext.ResourceType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD